Get the default risk ranges
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/risk-ranges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/risk-ranges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/risk-ranges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"label": "<string>",
"from": 50,
"to": 50
}
]{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get the default risk ranges
Returns a list of default risk ranges used in the system.
GET
/
resources
/
risk-ranges
Get the default risk ranges
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Response
Successful Response
Label representing the risk category
Required string length:
1 - 50Examples:
"high"
"medium"
"low"
Lower bound of the risk range (inclusive), as a percentage
Required range:
0 <= x <= 100Examples:
0
40
80
Upper bound of the risk range (inclusive), as a percentage
Required range:
0 <= x <= 100Examples:
39.99
79.99
100
⌘I